		ORG 0
		LDS  #$1FF
		LDD  #RTI_ISR
		STD  $FFF0
		LDD  #IRQ_ISR
		STD  $FFF2

		LDAB #%01000000
		STAB $1024              ;RTII, PR 
		LDAB #%11111111
		STAB $1026              ;RTR 1-0
		
		LDAA #0
		STAA $1003
		LDAB #1
		STAB $1000
		STAB $1004
		CLI

LOOP:           JSR SUB
		BRA LOOP

SUB:            ABA
		RTS

RTI_ISR:        
		INC  $1003   
		
		LDAB $1000 ;PORTA     
		RORB
		STAB $1000
		
		LDAB $1004 ;PORTB
		ROLB
		STAB $1004

		LDAA #0
		STAA $1025      
		RTI

IRQ_ISR:        LDAA #$88
		STAA $1000
		LDAA #$11
		STAA $1004
		RTI
