#ifndef HC11MISC_H
#define HC11MISC_H

#include "basetypes.h"
#include <stdio.h>

#define log(a,b) //fprintf(stderr,a,b)

//////////////////////////////////////////////////////////////////////////////
//
// Class Name: CCRReg
//
// Author: Kalle Anderson
//
// Purpose: Structure for the CCR. 
//
/////////////////////////////////////////////////////////////////////////////
struct CCRReg: public Byte
{  
    bit_t C(void){return (bit0());};
    bit_t V(void){return (bit1());};
	  bit_t Z(void){return (bit2());};
	  bit_t N(void){return (bit3());};
	  bit_t I(void){return (bit4());};
	  bit_t H(void){return (bit5());};
    bit_t X(void){return (bit6());};
    bit_t S(void){return (bit7());};
    
    void C(bit_t val){bit0(val);};
    void V(bit_t val){bit1(val);};
    void Z(bit_t val){bit2(val);};
    void N(bit_t val){bit3(val);};
    void I(bit_t val){bit4(val);};
    void H(bit_t val){bit5(val);};
    void X(bit_t val){bit6(val);};
    void S(bit_t val){bit7(val);};
    CCRReg &operator=(byte_t data){byte = data;return *this;};
    CCRReg(byte_t data){byte = data;};
    CCRReg(){byte=0;};
};

#endif
