#if !defined(AFX_VALUEDLG_H__A61C5374_92A3_11D1_BF16_0000C03A66E5__INCLUDED_)
#define AFX_VALUEDLG_H__A61C5374_92A3_11D1_BF16_0000C03A66E5__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// ValueDlg.h : header file
//

//////////////////////////////////////////////////////////////////////////////
//
// Class Name: CValueDlg
//
// Author: Kalle Anderson
//
// Purpose: General dialog for entering values in hex/binary/decimal. One
//          thing that should be changed would be to add conversion in the
//          DoDataExchange function. Cause, right now the default string that
//          get stuck in this dialog, must be computeed externally, although
//          the output value gets computed by this class.
//
/////////////////////////////////////////////////////////////////////////////


/////////////////////////////////////////////////////////////////////////////
// CValueDlg dialog

class CValueDlg : public CDialog
{
// Construction
public:
	CValueDlg(CWnd* pParent = NULL);   // standard constructor
    
    int value;
    bool value_ok;

// Dialog Data
	//{{AFX_DATA(CValueDlg)
	enum { IDD = IDD_VALUEDLG };
	CEdit	m_valuectrl;
	CString	m_value;
	int		m_radio;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CValueDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CValueDlg)
	virtual void OnOK();
	afx_msg void OnHex();
	afx_msg void OnDecimal();
	afx_msg void OnBinary();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_VALUEDLG_H__A61C5374_92A3_11D1_BF16_0000C03A66E5__INCLUDED_)
